/*=====================================================================*/
/*                                                                     */
/*       FILE NAME:        simple.c                                    */
/*                                                                     */
/*       PROGRAM NAME:     simple    (prog. 1.2)                       */
/*                                                                     */
/*                                                                     */
/*   Version 1.00                                                      */
/*                                                                     */
/*   (c) Satoru Ozawa and Dieter W. Heermann                           */
/*   Hitachi, Heidelberg July 1994                                     */
/*                                                                     */
/*=====================================================================*/

/***********************************************************************/
/* elemental graphic functions                                         */
/***********************************************************************/

#include <stdio.h>
#include "sgl.h"                      /* include files for graphics */ 

void  main(int argc, char *argv[])
{
  int i;
  sgl_init();                            /* initialize graphics     */

  sgl_circle(0.25, 0.75, 0.1);           /* draw a circle           */
  sgl_disc(0.75, 0.75, 0.1);             /* draw a filled circle    */
  sgl_rectangle(0.15, 0.25, 0.2,0.2);    /* draw a rectangle        */
  sgl_rectarea(0.65, 0.25, 0.2, 0.2);    /* draw a filled rectangle */
  sgl_line(0.1, 0.1, 0.9, 0.1);          /* draw a line             */
  
  sgl_display();               /* display drawings */
  i = getchar();               /* hold picture until hit of any key */
}
